import { Component, Input, Output } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
  selector: 'ngx-confirm-dialog',
  templateUrl: './confirm-dialog.component.html',
  styleUrls: ['./confirm-dialog.component.scss']
})
export class ConfirmDialogComponent {

  @Input() title: string;

  constructor(
    protected ref: NbDialogRef<ConfirmDialogComponent>,
  ) { }

  cancel() {
    this.ref.close();
  }

  delete(confirm) {
    this.ref.close(confirm);
  }
}
